Subject: bug#25126: 26.0.50; Gnus reacts poorly to email flags being changed behind its back

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 00:50:02 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Daniel Colascione <[email-masked]> writes:
>
>> I'm trying an email setup that involves pointing Gnus as a maildir tree
>> and having mbsync run from cron and, well, sync with an IMAP server.
>> Sometimes, if I open a mail group in Gnus, read a message, and before
>> leaving that mail group, go read that message on another client, the
>> cron job will change the message-file's flags behind Gnus's back,
>> causing Gnus to raise an error when I try to leave the group,
>> complaining that a message file it thought existed no longer exists
>> (because it's been renamed).
>>
>> Can Gnus cope better with other programs modifying messages concurrently?
>
> Just to clarify -- these problems are with nnmaildir and not nnimap?

And three days after that I renamed this bug to

retitle 25126 nndir reacts poorly to email flags being changed behind its back

which must be wrong.  I mean, it's either nnmaildir or nnimap.

So I have to ask again -- what Gnus backend is this about, and what are
the error messages?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no